package io.lumine.cosmetics.types.chat;

import io.lumine.cosmetics.MCCosmeticsPlugin;
import io.lumine.cosmetics.api.players.CosmeticProfile;
import io.lumine.cosmetics.types.MCCosmeticsManager;
import io.lumine.mythic.api.packs.Pack;

import java.io.File;

public class ChatColorManager extends MCCosmeticsManager<ChatColor> {

    public ChatColorManager(MCCosmeticsPlugin plugin) {
        super(plugin, ChatColor.class);
        
        load(plugin);
    }

    @Override
    public void load(MCCosmeticsPlugin plugin) {
        super.load(plugin);
    }

    @Override
    public ChatColor build(Pack pack, File file, String node) {
        return new ChatColor(this, pack, file, node);
    }

    @Override
    public void equip(CosmeticProfile profile) {}

    @Override
    public void unequip(CosmeticProfile profile) {}
    
}
